/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shenyu.plugin.ratelimiter.algorithm;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.junit.jupiter.MockitoExtension;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.is;

/**
 * test for LeakyBucketRateLimiterAlgorithm.
 */
@ExtendWith(MockitoExtension.class)
public final class LeakyBucketRateLimiterAlgorithmTest {

    private LeakyBucketRateLimiterAlgorithm leakyBucketRateLimiterAlgorithm;

    @BeforeEach
    public void startup() {
        leakyBucketRateLimiterAlgorithm = new LeakyBucketRateLimiterAlgorithm();
    }

    @Test
    public void getScriptNameTest() {
        assertThat("request_leaky_rate_limiter.lua", is(leakyBucketRateLimiterAlgorithm.getScriptName()));
    }

    @Test
    public void getKeyNameTest() {
        assertThat("request_leaky_rate_limiter", is(leakyBucketRateLimiterAlgorithm.getKeyName()));
    }
}
